<mat-toolbar class="  navbar-transparent fixed-top mat-elevation-z24">

  <span>{{getTitle()}}</span>
  <span class="fill-space"></span>

  <span *ngIf="isMobileMenu()">

    <img mat-card-avatar *ngIf="thirdFather?.info.img" [src]="thirdFather.info.img">
    <span class="dropdown-toggle" data-toggle="dropdown">{{person?.first_name}} {{person?.first_lastname}}</span>
    <ul class="dropdown-menu">

      <mat-card class="bg-faded example-full-width">
        <h4 class="text-center">
          {{person?.info.fullname}}
        </h4>
        <p class="text-center">
          {{person?.info.type_document}}: {{person?.info.document_number}} {{ space}} UUID: {{person?.uuid.UUID}}

        </p>
        <h4 class="text-center">
          {{thirdFather?.info.fullname ? thirdFather?.info.fullname: 'Tienda 724'}}
        </h4>
        <h4 class="text-center">
          {{thirdFather?.info.type_document}}: {{thirdFather?.info.document_number}}
        </h4>

        <span class="text-center">
          <mat-icon>phone</mat-icon>
          {{thirdFather?.directory[0].phones[0].phone ? thirdFather?.directory[0].phones[0].phone :''}}
        </span>
        <br>
        <span class="text-center">
          <mat-icon>location_on</mat-icon>
          {{thirdFather?.directory[0].address ? thirdFather?.directory[0].address :''}}, {{thirdFather?.directory[0].city ? thirdFather?.directory[0].city
          :''}}
        </span>
        <br>
        <span class="text-center">
          <mat-icon class="text-center">email</mat-icon>
          {{thirdFather?.directory[0].mails[0].mail ? thirdFather?.directory[0].mails[0].mail :''}}
        </span>
        <br>


      </mat-card>
      <li>
        <a routerLink="/dashboard/user-profile"> Editar Perfil</a>
      </li>
    </ul>
  </span>

  <span>


    <button mat-icon-button [matMenuTriggerFor]="menu" (click)="sidebarToggle2()">
      <mat-icon>more_vert</mat-icon>
    </button>

    <mat-menu #menu="matMenu">
      <button mat-menu-item [matMenuTriggerFor]="goto">
        <mat-icon>touch_app
        </mat-icon>
        <span>Ir a</span>
      </button>
      <button mat-menu-item [matMenuTriggerFor]="setings">
        <mat-icon>settings</mat-icon>
        <span>Configuración</span>
      </button>

      <button mat-menu-item *ngIf="!(token)" routerLink="/auth/login">
        <mat-icon>fingerprint</mat-icon>
        <span>Iniciar Sesión</span>
      </button>
      <button mat-menu-item *ngIf="(token)" (click)="logout()">
        <mat-icon>exit_to_app</mat-icon>
        <span>Cerrar Sesión</span>
      </button>

    </mat-menu>

    <mat-menu #setings="matMenu">
      <button mat-menu-item routerLink="/dashboard/user-profile">
        <mat-icon>account_circle</mat-icon>
        <span>Editar Perfil</span>
      </button>
      <button mat-menu-item disabled>
        <mat-icon>voicemail</mat-icon>
        <span>Ver Buzón</span>
      </button>
      <button mat-menu-item>
        <mat-icon>notifications_off</mat-icon>
        <span>Deshabilitar Alertas</span>
      </button>
    </mat-menu>

    <mat-menu #goto="matMenu">
      <button mat-menu-item routerLink="/">
        <mat-icon>home</mat-icon>
        <span>Inicio</span>
      </button>
      <button mat-menu-item routerLink="/dashboard/business">
        <mat-icon>dashboard</mat-icon>
        <span>DASHBOARD</span>
      </button>

    </mat-menu>


  </span>










  <div class="navbar-header">
    <button type="button" class="navbar-toggle" data-toggle="collapse" (click)="sidebarToggle()">
      <span class="sr-only">Toggle navigation</span>
      <span class="icon-bar"></span>
      <span class="icon-bar"></span>
      <span class="icon-bar"></span>
    </button>
  </div>



</mat-toolbar>